<!doctype html>
<html>
<head>
    <title>Metrics Reloaded | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Metrics Reloaded | Tor Project">
    <meta property="og:description" content=".frame { text-align: center; margin: 1em 0; } .screenshot { max-height:100%; max-width:45%;...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/metrics-reloaded/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Metrics Reloaded
      </h1>
    <p class="meta">by linda | January 9, 2017</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>.frame {<br />
    text-align: center; margin: 1em 0;<br />
}<br />
.screenshot {<br />
max-height:100%;<br />
max-width:45%;<br />
vertical-align:top;<br />
horizontal-align:center;<br />
}</p>

<p>If you haven’t noticed already, <a href="https://metrics.torproject.org/" rel="nofollow">https://metrics.torproject.org/</a> has a new look. The underlying data, graphing engine, and graphs remain the same. </p>

<p><a href="https://metrics.torproject.org/" rel="nofollow"><img src="https://extra.torproject.org/blog/2017-01-xx-new-metrics/old-metrics.png" /></a> <a href="https://metrics.torproject.org/" rel="nofollow"><img src="https://extra.torproject.org/blog/2017-01-xx-new-metrics/new-metrics.png" /></a></p>

<p>The goal for this project was to make Tor metrics easier to use and more useful. Our process involved usability inspections, feature brainstorming, rough wireframes, and iterative prototypes. <a href="https://trac.torproject.org/projects/tor/wiki/doc/UX/MetricsRedesign " rel="nofollow">This page</a> documents our process in detail.  </p>

<p>We restructured, redesigned, and added content to: </p>

<ul>
<li>Alleviate <a href="https://trac.torproject.org/projects/tor/wiki/doc/UX/MetricsRedesign#Painpoints" rel="nofollow">pain points</a> in using the interface for better workflow and navigation.
</li>
<li>Aggregate resources for journalists, developers, relay operators, and researchers.
</li>
<li>Increase compatibility with phones and tablets through responsive design.
</li>
</ul>

<p>It’s truly a place where you can learn interesting facts about the Tor network! We’re especially excited about the news page, which lists various world events with measured anomalies. We hope that the operation, development, and research pages help our many valued Tor community members to find the resources they need. Feel free to email <a href="mailto:metrics-team@lists.torproject.org" rel="nofollow">metrics-team@lists.torproject.org</a> with suggestions. </p>

<p>This work was sponsored by Mozilla's Open Source Support. The objectives were to 1) determine the usability of Tor Metrics and 2) address the most pressing usability issues identified (milestone 6.1 and 6.2 of <a href="https://trac.torproject.org/projects/tor/wiki/org/sponsors/SponsorX" rel="nofollow">this contract</a>).</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/metrics">
          metrics
        </a>
      </li><li>
        <a href="../category/usability">
          usability
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-230333"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230333" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
    <a href="#comment-230333">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230333" class="permalink" rel="bookmark">good effort, i like the new</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>good effort, i like the new format</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230339"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230339" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230333" class="permalink" rel="bookmark">good effort, i like the new</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230339">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230339" class="permalink" rel="bookmark">Thanks!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230334"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230334" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
    <a href="#comment-230334">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230334" class="permalink" rel="bookmark">Whoa, very cool design! I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Whoa, very cool design! I like that :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230340"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230340" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230334" class="permalink" rel="bookmark">Whoa, very cool design! I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230340">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230340" class="permalink" rel="bookmark">We&#039;re very proud of it! The</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We're very proud of it! The design was the result of the metrics and UX teams collaborating on the layout, previous volunteer designers who contributed to the style guide, and a very meticulous web developer (Rafe!) who added additional flair to the site.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230343"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230343" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
    <a href="#comment-230343">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230343" class="permalink" rel="bookmark">Very neat IMO. One question:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very neat IMO. One question: When will the "Applications: How many Tor applications, like Tor Browser, have been downloaded or updated." section be available?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230344"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230344" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  karsten
  </article>
    <div class="comment-header">
      <p class="comment__submitted">karsten said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230343" class="permalink" rel="bookmark">Very neat IMO. One question:</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230344">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230344" class="permalink" rel="bookmark">We&#039;re planning to make the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We're planning to make the Applications section available by the end of this month (January 2017).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230374"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230374" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230343" class="permalink" rel="bookmark">Very neat IMO. One question:</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230374">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230374" class="permalink" rel="bookmark">So you&#039;re going to plant a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So you're going to plant a tracker like Tails does. Taking a log in any condition is just bad. So your servers are talking logs to count or collect silently about visitors right?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230381"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230381" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  karsten
  </article>
    <div class="comment-header">
      <p class="comment__submitted">karsten said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230374" class="permalink" rel="bookmark">So you&#039;re going to plant a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230381">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230381" class="permalink" rel="bookmark">Yes, we&#039;re using sanitized</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, we're using sanitized Apache web server logs without IP addresses, times of day, user agent strings, referrers, etc.  You can review all <a href="https://webstats.torproject.org/" rel="nofollow">sanitized logs</a> yourself, and if you find anything too sensitive, you should <a href="mailto:metrics-team@lists.torproject.org" rel="nofollow">let us know</a>.  Also take a look at our <a href="https://metrics.torproject.org/about.html#philosophy" rel="nofollow">philosophy</a> for gathering, publishing, and using statistics of Tor users.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230360"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230360" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
    <a href="#comment-230360">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230360" class="permalink" rel="bookmark">Relay</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Relay versions<br />
<a href="https://metrics.torproject.org/versions.html" rel="nofollow">https://metrics.torproject.org/versions.html</a></p>
<p>My monitor is broken or 0.2.4,0.2.9 has the same color?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230382"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230382" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  karsten
  </article>
    <div class="comment-header">
      <p class="comment__submitted">karsten said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230360" class="permalink" rel="bookmark">Relay</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230382">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230382" class="permalink" rel="bookmark">No need to return your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No need to return your monitor, we indeed ran out of <em>distinguishable</em> colors a few versions ago ("Other", "0.1.0", "0.1.1", "0.1.2", "0.2.0", "0.2.1", "0.2.2", "0.2.3", "0.2.4", "0.2.5", "0.2.6", "0.2.7", "0.2.8", "0.2.9").  At some point we'll have to switch to a better visualization, or maybe we should have done that a few versions ago.  If you have suggestions and/or some experience with R/ggplot2, please consider <a href="https://metrics.torproject.org/about.html#contributing" rel="nofollow">contributing</a>!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230483"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230483" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to karsten</p>
    <a href="#comment-230483">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230483" class="permalink" rel="bookmark">see ticket #21196</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>see ticket #21196</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230365"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230365" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
    <a href="#comment-230365">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230365" class="permalink" rel="bookmark">Those recaptcha are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Those recaptcha are irritating when visiting sites with Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230379"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230379" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230365" class="permalink" rel="bookmark">Those recaptcha are</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230379">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230379" class="permalink" rel="bookmark">Cloudflare being unable to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Cloudflare being unable to handle the small tor traffic :/</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230387" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230379" class="permalink" rel="bookmark">Cloudflare being unable to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230387" class="permalink" rel="bookmark">That&#039;s what I tell everyone,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's what I tell everyone, if Cloudflare is so incompetent to handle such traffic then don't go for it. Akamai provides much more robust protection.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230469"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230469" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230387" class="permalink" rel="bookmark">That&#039;s what I tell everyone,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230469">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230469" class="permalink" rel="bookmark">Yep.
The problem is that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yep.<br />
The problem is that cloudflare is mostly used by small websites (blog, forum, shitty press). Which are the targets of script kiddies hiding behind Tor. It is not because of DoS/DDoS that cloudflare blocks tor, imo. </p>
<p>Anyway, they do it for business and this is not ethical. Shame on them.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230397"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230397" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230379" class="permalink" rel="bookmark">Cloudflare being unable to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230397">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230397" class="permalink" rel="bookmark">Cloudflare? More like</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Cloudflare? More like Blockflare</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230400"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230400" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230397" class="permalink" rel="bookmark">Cloudflare? More like</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230400">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230400" class="permalink" rel="bookmark">+1</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>+1</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230528"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230528" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230365" class="permalink" rel="bookmark">Those recaptcha are</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230528">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230528" class="permalink" rel="bookmark">See recaptca is apearing -</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>See recaptca is apearing - reload page or use autoreloader. Eventually you will get some ip not catched by clowns.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230405"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230405" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
    <a href="#comment-230405">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230405" class="permalink" rel="bookmark">Great work! I&#039;d like to help</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great work! I'd like to help welcome you to the community and humbly suggest that your name should join the pantheon over at <a href="https://www.torproject.org/about/corepeople.html.en" rel="nofollow">https://www.torproject.org/about/corepeople.html.en</a> in the service of less "who's that?" type head-scratching in the future.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230409"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230409" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230405" class="permalink" rel="bookmark">Great work! I&#039;d like to help</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230409">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230409" class="permalink" rel="bookmark">Thanks! Now that I looked at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks! Now that I looked at it, I was actually wondering why I wasn't on that list myself. I'll let someone know!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230415"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230415" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
    <a href="#comment-230415">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230415" class="permalink" rel="bookmark">No , i am one off only</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No , i am one off only twenty , that's not good , so i am an an elitist? lol</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230422"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230422" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230415" class="permalink" rel="bookmark">No , i am one off only</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230422">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230422" class="permalink" rel="bookmark">I&#039;m missing some context.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm missing some context. What did you mean?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230458"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230458" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230458">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230458" class="permalink" rel="bookmark">OPSEC Fail</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>OPSEC Fail </p>
<p><a href="https://metrics.torproject.org/userstats-bridge-combined.html?start=2016-10-13&amp;end=2017-01-11&amp;country=nz" rel="nofollow">https://metrics.torproject.org/userstats-bridge-combined.html?start=201…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230464"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230464" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  karsten
  </article>
    <div class="comment-header">
      <p class="comment__submitted">karsten said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230458" class="permalink" rel="bookmark">OPSEC Fail</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230464">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230464" class="permalink" rel="bookmark">Good point.  We have a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good point.  We have a deliverable where we're going to analyze such issues: "2017-01: Perform an analysis on reducing the amount of sensitive, potentially personally identifying data stored in memory of Tor relays and bridges or reported to the directory authorities. (Sponsor X 4.1. Tor daemon)".  I'll make sure that we're looking into this example, too.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230533"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230533" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to karsten</p>
    <a href="#comment-230533">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230533" class="permalink" rel="bookmark">thank you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thank you</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230471"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230471" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230458" class="permalink" rel="bookmark">OPSEC Fail</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230471">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230471" class="permalink" rel="bookmark">Why is that a fail? Can</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why is that a fail? Can anyone explain exactly what the issue is?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230507"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230507" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230471" class="permalink" rel="bookmark">Why is that a fail? Can</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230507">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230507" class="permalink" rel="bookmark">Using Tor will hide you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Using Tor will hide you within a particular anonymity set. In this case--let's say you are from a New Zealand and released some sensitive documents, you can hide who you are by using Tor, but you can't hide that you are using Tor. If we broadcast that there are only a small handful of people using Tor there, someone could easily know that it could be one of 20 people. To be clear, all that we leak is "20 people in new zeland used Tor in a given amount of time"--we don't even store any sensitive information to hack, be coerced into giving up, etc. But assuming they had the resources to find out who was using Tor, knowing that there is only a small amount of leads may encourage them to pursue who was responsible for leaking those documents (and presumably do something not good to you after).</p>
<p>We post what we consider to be non-sensitive and non-risky data onto metrics.torproject.org. Some are obviously sensitive (unencrypted data passed through exit relays), others are probably safe (number of relays in the Tor network) and others are in between (number of Tor users in a country). This is usually safe for countries where hundreds of thousands of people use it, but can potentially be unsafe in others. Karsten mentioned above that we are working on determining how we determine when it is safe to post such information.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230532"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230532" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230532">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230532" class="permalink" rel="bookmark">so you have sold your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>so you have sold your users... the same as "we have just one user from your city right now"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230629"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230629" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230532" class="permalink" rel="bookmark">so you have sold your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230629">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230629" class="permalink" rel="bookmark">We do not provide metrics on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We do not provide metrics on users by city. </p>
<p>We do the best to protect users as much as we can. We have protocols that obfuscate traffic to look like random noise or other non-Tor protocols. We have bridges that we try to keep secret. </p>
<p>In research, it is clearly stated that Tor provides you with anonymity within a particular anonymity set--we will take your comment as a cue to better educate users.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230563"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230563" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230563">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230563" class="permalink" rel="bookmark">Thanks for the detailed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for the detailed answer! :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230624"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230624" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230563" class="permalink" rel="bookmark">Thanks for the detailed</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230624">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230624" class="permalink" rel="bookmark">:)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>:)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230591"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230591" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230591">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230591" class="permalink" rel="bookmark">Also, remember that each</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Also, remember that each relay adds some noise before it publishes its aggregated 24-hour summary. So that number 20 comes from an aggregate of intentionally noisy numbers. I think it's fair to say that the number 20 means that the actual number is somewhere between 5 and 32, and there isn't really any way for *us* to have a better idea than that, because the relays only publish the noisy number.</p>
<p>So yes, a small number might be bad news for a variety of reasons, but the "Tor said there were 20, and we know about 19, so you must be the 20th" scenario would not be a correct use of the data.</p>
<p>The even better idea here would be to use the newer fancier privacy-preserving counting mechanisms, where we can get a single aggregate number, with an appropriate amount of noise added, across all relays, without anybody (us or others) being able to know the numbers that each relay contributes. For an example of that approach, check out PrivCount:<br />
<a href="http://www.robgjansen.com/blog/2016/10/23/introducing-privcount-for-safely-measuring-tor/" rel="nofollow">http://www.robgjansen.com/blog/2016/10/23/introducing-privcount-for-saf…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230625"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230625" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-230625">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230625" class="permalink" rel="bookmark">This is an important</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is an important clarification I missed in my comment above.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230762"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230762" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 12, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230762">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230762" class="permalink" rel="bookmark">Interesting! Thanks to you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Interesting! Thanks to you and also the commenter that asked the question.</p>
<p>Not arguing any point of view, but I have a question: what kind of adversary would it take to obtain the same information on their own? Anyone running a Tor client (via directory authority requests, consensus, etc.)? Anyone running a directory authority? Anyone watching some number of Tor clients/relays upstreams? Anyone harvesting or having access to (e.g. Google) information about many bridges? In other words, what is privileged about metrics.torproject.org in regards to the information it obtains and publishes?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230829"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230829" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  karsten
  </article>
    <div class="comment-header">
      <p class="comment__submitted">karsten said:</p>
      <p class="date-time">January 13, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230762" class="permalink" rel="bookmark">Interesting! Thanks to you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230829">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230829" class="permalink" rel="bookmark">All data used by Tor Metrics</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>All data used by <a href="https://metrics.torproject.org/" rel="nofollow">Tor Metrics</a> comes from the <a href="https://collector.torproject.org" rel="nofollow">CollecTor</a> service and is hence publicly available.  See also our <a href="https://metrics.torproject.org/about.html#philosophy" rel="nofollow">philosophy</a>, where we write: "We only use public, non-sensitive data for metrics."</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230538"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230538" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230471" class="permalink" rel="bookmark">Why is that a fail? Can</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230538">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230538" class="permalink" rel="bookmark">NZ is also a five eyes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>NZ is also a five eyes member , so when information comes out that only twenty people  are using a bridge type,  it's not great news if you are one in twenty</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-230476"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230476" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
    <a href="#comment-230476">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230476" class="permalink" rel="bookmark">How do I see the average</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How do I see the average throughput of middle relays, exit relays, and bridges, individually? I run some relays and I'm not exactly sure what kind they should be, based on their bandwidth. For example, I don't want to waste a fast connection by running a bridge, but I don't want to waste a potential bridge IP address by running a slow middle relay. I think the recommendation for bridges is &lt;10Mbps (1.25MB/s), but I don't know how old this number is or if it is based on any actual metrics.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230502"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230502" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230476" class="permalink" rel="bookmark">How do I see the average</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230502">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230502" class="permalink" rel="bookmark">https://atlas.torproject.org</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://atlas.torproject.org" rel="nofollow">https://atlas.torproject.org</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230504"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230504" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230502" class="permalink" rel="bookmark">https://atlas.torproject.org</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230504">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230504" class="permalink" rel="bookmark">+1! This would be my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>+1! This would be my recommendation. My longer reply is below.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230503"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230503" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230476" class="permalink" rel="bookmark">How do I see the average</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230503">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230503" class="permalink" rel="bookmark">You can&#039;t see this</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can't see this information on metrics.torproject.org, because it was not designed to display individual relay information nor to be used as a personal diagnostic tool. It was designed to show the aggregate statistics and give an idea of how the Tor network as a whole is doing. </p>
<p>Atlas.torproject.org will show you after-the-fact information about bandwidth use. If you type in your nickname or a fingerprint, Atlas should give you the information that you need for the relays that you run. It can also look up specific relays and bridges, even the ones you do not run (in fact, we use this to collect data for Tor metrics). Some information for bridges are scrubbed out on Atlas for security reasons, but the bandwidth use is not. </p>
<p>Arm (<a href="https://www.torproject.org/projects/arm.html.en" rel="nofollow">https://www.torproject.org/projects/arm.html.en</a>) is real-time status monitor that lets you visualize resource use, realying, events, and more. But, it is several years old, only compatible with linux, and due for a replacement (the replacement is under development but not ready yet). </p>
<p>There are also other, per-OS tools to see how much bandwidth a machine you are running is using. We don't have any particular recommendations here, but want to let you know that it's an option.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230765"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230765" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 12, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to linda</p>
    <a href="#comment-230765">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230765" class="permalink" rel="bookmark">Thanks for the reply! I&#039;ve</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for the reply! I've used Atlas but I forgot about it somehow. Anyway, Atlas appears to only show bandwidth about one node at a time. I was wondering if there's a convenient way to see, e.g. "in a set of all nodes that are a bridge/middle/exit, the average/median bandwidth for an individual node from the set is x MB/s". Actually if the data is downloadable in CSV or similar format, I could calculate that trivially with a shell script (or even Excel, I guess), but screen scraping and parsing HTML is a little out of the question for the purpose.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230477"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230477" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
    <a href="#comment-230477">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230477" class="permalink" rel="bookmark">Chinese Party really block</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Chinese Party really block all Chinese Tor to access local websites!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230496"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230496" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230477" class="permalink" rel="bookmark">Chinese Party really block</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230496">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230496" class="permalink" rel="bookmark">:(</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>:(</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230560"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230560" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
    <a href="#comment-230560">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230560" class="permalink" rel="bookmark">Are you going to add</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you going to add DNSCRYPT addon?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230803"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230803" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 12, 2017</p>
    </div>
    <a href="#comment-230803">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230803" class="permalink" rel="bookmark">beautiful work</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>beautiful work</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230804"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230804" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  linda
  </article>
    <div class="comment-header">
      <p class="comment__submitted">linda said:</p>
      <p class="date-time">January 12, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230803" class="permalink" rel="bookmark">beautiful work</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230804">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230804" class="permalink" rel="bookmark">Thanks! :)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks! :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
